package com.kmall.common.utils.wechat.wxglobal.dto;
/**
 * 微信境外申请退款返回的字段
 * @author huangyaqin
 * @version 1.0
 * 2018-12-11 10:22
 */
public class WechatGlobalRefundApiResult {
	private String code;
	private String message;
	private DetailDto detail;

	private RefundAmountDto amount;//订单金额信息
	private String id;// 微信支付退款订单号
	private String out_refund_no;
	private String create_time;//退款受理时间
	private String mchid;
	private String nonce_str;
	private String out_trade_no;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public DetailDto getDetail() {
		return detail;
	}

	public void setDetail(DetailDto detail) {
		this.detail = detail;
	}

	public RefundAmountDto getAmount() {
		return amount;
	}

	public void setAmount(RefundAmountDto amount) {
		this.amount = amount;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getOut_refund_no() {
		return out_refund_no;
	}

	public void setOut_refund_no(String out_refund_no) {
		this.out_refund_no = out_refund_no;
	}

	public String getCreate_time() {
		return create_time;
	}

	public void setCreate_time(String create_time) {
		this.create_time = create_time;
	}

	public String getMchid() {
		return mchid;
	}

	public void setMchid(String mchid) {
		this.mchid = mchid;
	}

	public String getNonce_str() {
		return nonce_str;
	}

	public void setNonce_str(String nonce_str) {
		this.nonce_str = nonce_str;
	}

	public String getOut_trade_no() {
		return out_trade_no;
	}

	public void setOut_trade_no(String out_trade_no) {
		this.out_trade_no = out_trade_no;
	}
}
